summaryrefslogtreecommitdiffstats
path: root/source/l/fribidi/fribidi.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/fribidi/fribidi.SlackBuild')
-rwxr-xr-xsource/l/fribidi/fribidi.SlackBuild16
1 files changed, 11 insertions, 5 deletions
diff --git a/source/l/fribidi/fribidi.SlackBuild b/source/l/fribidi/fribidi.SlackBuild
index 3aecd01a5..d479693df 100755
--- a/source/l/fribidi/fribidi.SlackBuild
+++ b/source/l/fribidi/fribidi.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2018, 2021, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fribidi
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,15 +67,21 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf fribidi-$VERSION
-tar xvf $CWD/fribidi-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/fribidi-$VERSION.tar.?z || exit 1
cd fribidi-$VERSION || exit 1
-chown -R root:root .
find . -perm 777 -exec chmod 755 {} \+
find . -perm 775 -exec chmod 755 {} \+
find . -perm 664 -exec chmod 644 {} \+
chown -R root:root .
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
CFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \